# Playwright Playground


Inside that directory, you can run several commands:

## Runs the end-to-end tests. 
````
npx playwright test
````
 
## Runs the end-to-end tests in [UI-mode](https://playwright.dev/docs/test-ui-mode).
    
````
npx playwright test --ui
````  

## Runs the tests only on Desktop Chrome.

````
npx playwright test --project=chromium
```` 

## Runs the tests in a specific file.

````
npx playwright test example
````


## Runs the tests in debug mode.

````
npx playwright test --debug
````

## Auto generate tests with Codegen.

````
npx playwright codegen
````

## The docs

Visit [https://playwright.dev/docs/intro](https://playwright.dev/docs/intro) for more information.

## Testing? Which testing?

![Different types of testing](new-testing-trophy.png)
