import { test, expect } from '@playwright/test';

test('schneechaos', async ({ page }) => {
  await page.goto('https://www.swr.de/');
  await page.locator('li').filter({ hasText: 'Suchen' }).getByRole('button').click();
  await page.locator('.search-overlay').isVisible();
  await page.locator('.search-overlay form input[itemprop="query-input"]').fill("Schneechaos");
  await page.locator('.search-overlay form').press("Enter");
  // await page.locator('button.btn.btn-search').click();
  await expect(page).toHaveURL("https://www.swr.de/swr-suche-100.html?swx_restriction=&swx_q=Schneechaos");
  await expect(page.locator("h1")).toHaveText('Suchergebnisse für "Schneechaos" unter SWR');
});

test('schneechaos-2', async ({ page }) => {
  await page.goto('https://www.swr.de/swr-suche-100.html?swx_restriction=&swx_q=Schneechaos');
  await expect(page.locator("h1")).toHaveText('Suchergebnisse für "Schneechaos" unter SWR');
});