const { test, expect } = require('@playwright/test');

test('startseite', async ({ page }) => {
  await page.goto('https://www.swr.de/index.html');
  expect(await page.screenshot('body')).toMatchSnapshot('swr.png');
});


test.only("Pagination", async({ page }) => {
  await page.goto("http://localhost:3020/components/preview/pagination--default");
  expect(await page.screenshot('.pagination')).toMatchSnapshot('pagination-comp.png');
})