const { test, expect } = require('@playwright/test');

let variants= [
    "browserbreit--mit-teasertext",
    "browserbreit--ohne-teasertext",
    "browserbreit--ohne-teasertext-ohne-topline-mit-media-icon",
    "browserbreit--mit-teasertext-und-sendungsinfo",
    "browserbreit--ohne-teasertext-mit-sendungsinfo",
    "browserbreit--teasertext-und-eventinfo",
    "browserbreit--ohne-teasertext-mit-eventinfo",
    "browserbreit--teasertext-sendungsinfo-eventinfo",
    "browserbreit--ohne-teasertext-sendungsinfo-eventinfo"
]

variants.forEach(function (variant) {
    test(`${variant}`, async ({ page }) => {
        await page.goto(`http://localhost:3020/components/preview/${variant}`);
        expect(await page.screenshot('body')).toMatchSnapshot(`${variant}.png`);
    });
})
